Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.channelAction
Class AbstractDefaultRenderXml

    java.lang.Object
      org.esupportail.portal.channels.CStockage.channelAction.AbstractDefaultRenderXml

Direct Known Subclasses:
  DefaultRenderXml, DefaultRenderXml

public abstract class AbstractDefaultRenderXml
extends java.lang.Object

Id: AbstractDefaultRenderXml.java,v 1.0 24 sept. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: AbstractDefaultRenderXml Original Author: Yohan Colmant The default render xml for the channel. It defines the generic bars likes navigation

Constructor Summary
`AbstractDefaultRenderXml()`

Method Summary
`static java.lang.StringBuffer` | `getXmlError(ChannelException error, int internalError)` Get the XML for the error bar
`static java.lang.StringBuffer` | `getXmlForPasswordSetting(java.util.ArrayList spaces, Space currentSpace, ChannelException error)` Return the XML representing the curent dir
`static java.lang.StringBuffer` | `getXmlInformation(java.lang.String information)` Get the XML for the info bar
`static java.lang.StringBuffer` | `getXmlNavigation(java.util.ArrayList spaces, Space currentSpace)` Get the XML for the navigation bar

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDefaultRenderXml

    public AbstractDefaultRenderXml()

Method Detail

### getXmlNavigation

    public static java.lang.StringBuffer getXmlNavigation(java.util.ArrayList spaces,
                                                          Space currentSpace)
                                                   throws PropertiesException

  Get the XML for the navigation bar

  Parameters:
    `spaces` - the visibles spaces
    `currentSpace` - the current space used
  Returns:
    the XML as a StringBuffer
  Throws:
    `PropertiesException`

### getXmlError

    public static java.lang.StringBuffer getXmlError(ChannelException error,
                                                     int internalError)

  Get the XML for the error bar

  Parameters:
    `error` - the error
    `internalError` - if there is an internal error
  Returns:
    the XML as a StringBuffer

### getXmlInformation

    public static java.lang.StringBuffer getXmlInformation(java.lang.String information)

  Get the XML for the info bar

  Parameters:
    `information` - the information message code
  Returns:
    the XML as a StringBuffer

### getXmlForPasswordSetting

    public static java.lang.StringBuffer getXmlForPasswordSetting(java.util.ArrayList spaces,
                                                                  Space currentSpace,
                                                                  ChannelException error)
                                                           throws PropertiesException

  Return the XML representing the curent dir

  Parameters:
    `spaces` - the default spaces
    `currentSpace` - the current space used
    `error` - the error exception
  Returns:
    the xml generated
  Throws:
    `PropertiesException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| CStockage 4.2_beta-RC-1 API Documentation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD